### Method

# Clutter Actor create_texture_paint_node

#### Declaration [src]

    ClutterPaintNode*
    clutter_actor_create_texture_paint_node (
      ClutterActor* self,
      CoglTexture* texture
    )

#### Description [src]

Creates a `ClutterPaintNode` initialized using the state of the given `ClutterActor`, ready to be used inside the implementation of the `ClutterActorClass`.paint_node virtual function.

The returned paint node has the geometry set to the size of the `ClutterActor:content-box` property; it uses the filters specified in the `ClutterActor:minification-filter` and `ClutterActor:magnification-filter` properties; and respects the `ClutterActor:content-repeat` property.

#### Parameters

`texture`

  Type: `CoglTexture`

  A `CoglTexture`.

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterPaintNode4`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.